COBAYA: using extended Plank2018 plik likelihood

Use of Cobaya. camb, CLASS, cosmomc, compilers, etc.
Post Reply
joby pk
Posts: 11
Joined: February 26 2016
Affiliation: Asia Pacific Institute for Theoretical Physics

COBAYA: using extended Plank2018 plik likelihood

Post by joby pk » December 29 2023

Hello!

I am trying to use the extended plik high ell EE only likelihood for my cosmology run and I keep getting the error, 'Likelihood 'planck_2018_highl_plik.EE', not found' despite having installed the Planck likelihoods and the extended likelihoods. It seems cobaya is unable to find any likelihoods other than those in the baseline dataset.

I am using cobaya 2.0 since 3.0 version is not compatible with the modified version of CLASS that I am using.

What I have tried:

1) Followed the advice at: viewtopic.php?t=3585 and added, "planck_2018_highl_plik.EE: null", to the likelihood block in my .yaml file, but it says EE likelihood is not found.
2) cobaya-install cosmo /path/to/packages/ -> install successful but EE only likelihood is not installed
3) Manually installed the planck likelihood code and the extended plik likelihoods containing EE only likelihood in /path/to/packages/ -> ./waf configure successful -> ./waf install successful -> source clik_profile.sh -> exit and relogin, but still get the error, "EE likelihood not found".
4) Tried to manually give the path to the likelihood installation with the argument path: /path/to/EElikelihood.clik/, but it says the EE likelihood does not accept the argument, path.

I am now at a loss of ideas and couldn't find any related articles for this issue. I would really appreciate it if I can get some advice on how to get this EE only likelihood working.

Thank you!

Post Reply